$(document).ready(function(){
	$.datepicker.regional['ru'] = {clearText: 'Очистить', clearStatus: '',
            minDate: "0",
            closeText: 'Закрыть', closeStatus: '',
            prevText: '<Пред',  prevStatus: '',
            nextText: 'След>', nextStatus: '',
            currentText: 'Сегодня', currentStatus: '',
            monthNames: ['Январь','Февраль','Март','Апрель','Май','Июнь',
            'Июль','Август','Сентябрь','Октябрь','Ноябрь','Декабрь'],
            monthNamesShort: ['Янв','Фев','Мар','Апр','Май','Июн',
            'Июл','Авг','Сен','Окт','Ноя','Дек'],
            monthStatus: '', yearStatus: '',
            weekHeader: 'Не', weekStatus: '',
            dayNames: ['воскресенье','понедельник','вторник','среда','четверг','пятница','суббота'],
            dayNamesShort: ['вск','пнд','втр','срд','чтв','птн','сбт'],
            dayNamesMin: ['Вс','Пн','Вт','Ср','Чт','Пт','Сб'],
            dayStatus: 'DD', dateStatus: 'D, M d',
            dateFormat: 'dd.mm.yy', firstDay: 1, 
            initStatus: '', isRTL: false};		
	
$.pirobox_ext({
        piro_speed : 200,
        zoom_mode : false,
        move_mode : 'mousemove',
        bg_alpha : 0.8,
        piro_scroll : true,
        share: false
});		
	var jsp=$('.main-news').jScrollPane({hideFocus:true}).data('jsp');

    $('.hero-menu li').click(function(event){
    	event.stopPropagation();
    	loadingImage
		var _this=$(this);
		    _this.siblings().removeClass('hero-selected');
			_this.addClass('hero-selected');
			return false;
		});                    
    $('#hero').bind('load',function(){
    	$('#loadingImage').addClass('hide');
    	$(this).removeClass('hide');
    });
    
	$('.hero-list li .hero-title a').click(function(){
		$('ul.hero-list li.selected').removeClass('selected').addClass('unselected');
		var _this=$(this),href,articleUrl,id,hero;
		_this.parent().parent().removeClass('unselected').addClass('selected');
		hero=$('#hero');		
		id=_this.attr('data-id');
		if(id!=hero.attr('data-id')){
			href=_this.attr('data-href-image');
			articleUrl=_this.attr('href');
			$('#loadingImage').removeClass('hide');
			hero.attr('src',href).addClass('hide').attr('data-id',id).parent().attr('href',articleUrl);
			jsp.reinitialise();
			return false;
		}else{
			//_this.parent().next().click();
			return true;
		}        			
	});	    
    
    
    
    $('#photo-viewport').bind('load',function(){
    	$('#loadingImage').addClass('hide');
    	$(this).removeClass('hide');
	})
        $('.photo-menu li').click(function(event){
        	event.stopPropagation();
        	var _this=$(this),href,source;  
        	var viewPort=$('#photo-viewport');
        	source=_this.children().first();
        	if(viewPort.attr('data-id')!=source.attr('data-id')){
	        	_this.siblings().removeClass('photo-selected');
	        	_this.addClass('photo-selected');
	        	href=source.attr('href');
	        	$('#loadingImage').removeClass('hide');
	        	viewPort.addClass('hide').attr('src',href).attr('data-id',source.attr('data-id'));
        	}
        	return false;
        });
		
        $('#photo-viewport').click(function(event){
        	event.stopPropagation();
        	var id=$(this).attr('data-id');
			$('#big-'+id).click();			
		});
        
	

		
      $('.photo-scroll').jScrollPane({hideFocus:true});     
       
       $('.photo-caption').jScrollPane({hideFocus:true});
       
       $('.main-menu').navgo();
       $('#search-form').submit(function(){
    	   var _this=$(this), query=_this.find('#query').val();
    	   //console.log(_this.parent().attr('action'));
    	   window.location = "http://"+window.location.host+"/search/"+query;
    	   return false;    	   
       });
       $('#search-button').click(function(){
    	   $('#search-form').submit();    	   
       });
       
       $( "#from" ).datepicker($.extend($.datepicker.regional[ "ru" ],{
    	   altField: "#fromh",
    	   altFormat: "yy-mm-dd",
    	   changeMonth: true,
    	   numberOfMonths: 3,
    	   minDate:'01.03.2013',
    	   changeYear: true, 
    	   yearRange:'2013:c',
    	   showCurrentAtPos: 2,    	  
    	   showButtonPanel: true,
    	   onClose: function( selectedDate ) {
    	   $( "#to" ).datepicker( "option", "minDate", selectedDate );
    	   }}));
	   $( "#to" ).datepicker($.extend($.datepicker.regional[ "ru" ],{
	   altField: "#toh",
	   altFormat: "yy-mm-dd",	   	   
	   maxDate:'0',
	   changeMonth: true,
	   numberOfMonths: 3,
	   yearRange:'2013:c',
	   showCurrentAtPos: 2,
	   changeYear: true,
       showButtonPanel: true,
	   onClose: function( selectedDate ) {
	   $( "#from" ).datepicker( "option", "maxDate", selectedDate );
	   }})); 
	   
       $('#advanced-search').submit(function(){
    	   var _this=$(this), query=_this.find('#query').val(),
    	   from=_this.find('#from').val(),
    	   to=_this.find('#to').val(),
    	   in_=_this.find('#in').val(),
    	   order=_this.find('#order').val();
    	   
    	   //console.log(_this.parent().attr('action'));    	   
    	   window.location ="http://"+window.location.host+"/advanced-search/"+query+'/in/'
    	   +in_+'/from/'+from+'/to/'+to+'/order/'+order;
    	   return false;
    	   
       });
    	   
 });	   