(function($){
    widget={
    	    options:{
    	    up:   '&#9650;',
    	    down: '&#9660;'
            },
    	    _create:function(){        	    
    	    	this.$element=$(this.element);
        	    this.$element.find('ul.navgo>li>a[class!=noChildren]')
        	                 .addClass('parent close')
        	                 .parent().each($.proxy(function(index,element){
        	                	 var marker=this.options.down;
        	                	 $element=$(element);
        	                	 var parent= $element.children().first();
        	                	 if($element.hasClass('active')){
        	                		 marker=this.options.up;
        	                		 parent.removeClass('parent close');
        	                	 }
        	                	 if(parent.hasClass('initOpen')){
        	                		 marker=this.options.up;
        	                		 parent.removeClass('parent close');        	                		 
        	                	 }
        	                	 $element.prepend('<div class="marker">'+marker+'</div>');        	                	 
        	                 },this));
        	                 
        	    this.$element.find ('ul.navgo>li[class!=active]>ul').each(function(index,element){
        	    	var e=$(element);
        	        if (!e.prev().hasClass('initOpen')) e.hide();	
        	    });	 
        	    this.$element.find('ul.navgo>li>a[class!=noChildren]').click($.proxy(this.clickHandler,this));
        	    this.$element.find('ul.navgo').delegate('div.marker','click',function(){
        	    	$(this).next().click();
        	    	return false;
        	    });
    	      },
		    clickHandler:function(evt){	           
	           var $this=$(evt.target);
	       	   $this.next().slideToggle();	
	       	   if($this.hasClass('close')){
	              $this.prev().html(this.options.up);
	              $this.removeClass('close');     
	       	    }else{
	       		  $this.prev().html(this.options.down);
	       		  $this.addClass('close');
	       	   }
	       	   return false;
		    },     	    
    	    destroy:function(){
    	    	 this.$element.find('.parent').removeClass('parent').removeClass('close').prev().remove();
    	    	 this.$element.find ('ul.navgo ul').show();
    	    	 this.$element.find('ul.navgo>li>a').off('click');
    	    	 this.$element.find('ul.navgo').off('click');
    	    	 $.Widget.prototype.destroy.call(this);
    	    }
    };

    $.widget("bryanskobl.navgo",widget);
	
})(jQuery);